import Head from "next/head";
import {
  Heading,
  Flex,
  Tabs,
  TabList,
  TabPanels,
  Tab,
  TabPanel,
  Text,
} from "@chakra-ui/react";
import Shortener from "@/components/Shortener";
import Islamipedia from "@/components/Islamipedia";

export default function Home() {
  return (
    <>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <Flex bg="gray.100" minH="100vh">
        <Flex
          flexDirection="column"
          px="16"
          py="24"
          gap="8"
          w="80%"
          borderRadius="xl"
          m="auto"
          my="16"
          bg="white"
        >
          <Flex flexDirection="column" gap="2">
            <Heading textAlign="center">Islamipedia + Shortener</Heading>
            <Text textAlign="center">Muhammad Haqqi Al Farizi</Text>
            <Text textAlign="center">
              Using custom made Islamipedia, Hadith, Quran, Shortener API
            </Text>
          </Flex>
          <Tabs variant="solid-rounded">
            <TabList>
              <Tab w="full">Islamipedia</Tab>
              <Tab w="full">URL Shortener</Tab>
            </TabList>

            <TabPanels>
              <TabPanel>
                <Islamipedia />
              </TabPanel>
              <TabPanel>
                <Shortener />
              </TabPanel>
            </TabPanels>
          </Tabs>
        </Flex>
      </Flex>
    </>
  );
}